Subject: Re: bug#67687: Feature request: automatic tags management

From: Dmitry Gutov <[email-masked]>
Date: Sun, 31 Dec 2023 17:22:39 +0200

On 31/12/2023 09:22, Stefan Kangas wrote:
> Eli Zaretskii<[email-masked]>  writes:
> 
>>>   @menu
>>>   * Tag Syntax::          Tag syntax for various types of code and text files.
>>> -* Create Tags Table::   Creating a tags table with @command{etags}.
>>> +* Update Tags Table::   Creating a tags table automatically.
>>> +* Create Tags Table::   Creating a tags table manually with @command{etags}.
>>>   * Etags Regexps::       Create arbitrary tags using regular expressions.
>>>   @end menu
>> Please don't change the order of the sections.  "Create" should
>> precede "update", since the regen feature is optional.  If this order
>> requires some changes in how the text is written, please make those
>> changes, but putting "update" before "create" is illogical.  Also, the
>> description of "update" says "create", which is another brow-raising
>> factor.
> Nothing was moved, I think?  This sections is new.  🙂
> 
> I have no real opinion on the best order; Dmitriy's renamed node name is
> "automatic tags table", which could come before or after "manual".
> 
> However, as you point out below, the feature is new and perhaps
> shouldn't be mentioned first for that reason.

I'm happy to leave all the manual-related decisions to you guys.

If it shouldn't be in the manual initially -- no objections from me.